#
# spec file for package cfengine (Version 2.0.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  db db-devel openssl openssl-devel tcpd tetex
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib db-devel gcc gdbm gettext libtool openssl openssl-devel perl rpm tcpd te_ams te_latex tetex

Name:         cfengine
License:      GPL
Group:        Productivity/Networking/System
Autoreqprov:  on
Version:      2.0.3
Release:      250
Summary:      A tool to maintain complicated networks
URL:          http://www.iu.hio.no/cfengine/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-ia64.dif
Patch1:       %{name}-%{version}-db.dif
Patch2:       %{name}-%{version}-info.diff
Patch3:       %{name}-%{version}-authentication_dialogue-secfix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %install_info_prereq

%description
GNU cfengine is an abstract programming language for system
administrators of huge heterogeneous networks. With cfengine, system
administrators have an easy and elegant way to maintain complicated
networks.



Authors:
--------
    Mark Burgess

%prep
%setup
%patch
%patch1
%patch2
%patch3

%build
%{suse_update_config -f}
rm missing
aclocal
automake -a
autoconf
CC=gcc CFLAGS="$RPM_OPT_FLAGS" INSTALL_PROGRAM="install -s" \
  ./configure --prefix=/usr \
              --mandir=%{_mandir} \
              --infodir=%{_infodir} \
              --datadir=%{_defaultdocdir}
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make "DESTDIR=$RPM_BUILD_ROOT" install

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}-Anomalies.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}-Reference.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}-Tutorial.info.gz

%preun
%install_info --delete --info-dir=%{_infodir} %{_infodir}/%{name}-Anomalies.info.gz
%install_info --delete --info-dir=%{_infodir} %{_infodir}/%{name}-Reference.info.gz
%install_info --delete --info-dir=%{_infodir} %{_infodir}/%{name}-Tutorial.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README SURVEY COPYING TODO inputs/*.example
/usr/sbin/*
%doc %{_mandir}/man8/cfengine*
%doc %{_infodir}/*.info*

%changelog -n cfengine
* Fri Sep 17 2004 - postadal@suse.cz
- fixed locking problems introduced with the previous security update [#44725]
* Thu Aug 26 2004 - postadal@suse.cz
- fixed security bugs in AuthenticationDialogue() [#43636]
  (CORE-2004-0714, GLSA 200408-08)
* Wed Feb 26 2003 - postadal@suse.cz
- used install-info macros
- fixed Anomalies.texinfo (dir entry)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 2.0.3
  * Hpux config changes
  * new options
  * new list in cfservd.conf
  * a lot of fixes
* Fri Nov 23 2001 - cihlar@suse.cz
- added Url:
* Mon Nov 05 2001 - cihlar@suse.cz
- fixed to compile with automake 1.5
* Mon Apr 23 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version 1.6.3
* Mon Oct 30 2000 - cihlar@suse.cz
- update to version 1.6.0.a13
- bzipped sources
* Tue Oct 03 2000 - cihlar@suse.cz
- update to version 1.6.0.a11
* Mon May 15 2000 - cihlar@suse.cz
- Group sorted
- %%{_defaultdocdir} instead of /usr/doc/packages
* Mon Apr 10 2000 - bk@suse.de
- added suse update config macro
* Tue Apr 04 2000 - cihlar@suse.cz
- upgrade to version 1.5.4
- added BuildRoot
* Mon Jan 17 2000 - ro@suse.de
- update to 1.5.3 , man, info to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - ro@suse.de
- update to 1.5.1 / specfile cleanup
* Tue Sep 22 1998 - ro@suse.de
- update to 1.4.12
* Mon Mar 02 1998 - florian@suse.de
- update to release 1.4.10
* Fri Oct 10 1997 - florian@suse.de
- update to release 1.4.8a
* Mon Jul 07 1997 - florian@suse.de
- update to release 1.4.0
* Thu Jan 02 1997 - florian@suse.de
- update to newest version 1.3.16
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 1.3.12.
